
body{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 16px;
    scroll-behavior: smooth;
}

a {
    list-style: none;
    text-decoration: none;
}
p {
    font-size: 1rem !important;
}

span {
    font-size: 1rem !important;
}

:root {
    --pink: #f50057;
    --green: #25D366;
    --animation-curve: cubic-bezier(0.12, 0.7, 0.74, 0.71);
}

/*scrollbar*/

::-webkit-scrollbar {
    width: 20px;
}

::-webkit-scrollbar-track {
    background-color: transparent;
}

::-webkit-scrollbar-thumb {
    background-color: #d6dee1;
    border-radius: 20px;
    border: 6px solid transparent;
    background-clip: content-box;
}

::-webkit-scrollbar-thumb:hover {
    background-color: #a8bbbf;
}

/*phone*/

.phone {
    z-index: 10;
    background-color: var(--green);
    animation: phone 1s var(--animation-curve) infinite alternate-reverse;
    display: grid;
    justify-content: center;
    align-items: center;
    border: 0.5px white solid;
    height: 5%;
    width: 5%;
}

.telephoneIcon {
    color: white;
    position: fixed;
    font-size: .20rem;
}

.carousel-item>img {
    height: 100% !important;
    width: 100%;
}

.hotline-bar {
    position: fixed;
    background: var(--green);
    line-height: 40px;
    background-size: 100%;
    cursor: pointer;
    transition: all 0.8s;
    -webkit-transition: all 0.8s;
    z-index: 3;
    box-shadow: 0 14px 28px rgb(0 0 0 / 25%), 0 10px 10px rgb(0 0 0 / 10%);
    border-radius: 50px !important;
    left: 4.375rem;
    bottom: 3.188rem;
    width: 200px;
}

.hotline-bar > a {
    color: #fff;
}

.phoneBox {
    height: 0.625rem;
    width: 0.625rem;
    left: 4.375rem;
    bottom: 4.375rem;
    border-radius: 50%;
    background-color: red;
    position: fixed;
    animation: scaling 2s var(--animation-curve) infinite;
}

@keyframes scaling {
    0% {
        transform: scale(4);
        background-color: var(--green);
    }

    100% {
        transform: scale(10);
        background-color: rgba(245, 0, 182, 0);
    }
}

@keyframes phone {
    0% {
        transform: scale(4);
    }

    100% {
        transform: scale(4.5);
    }
}

.circle1 {
    animation-delay: 0s;
}

.circle2 {
    animation-delay: 1s;
}

.technologyShine figure::before {
    position: absolute;
    top: 0;
    left: -95%;
    z-index: 2;
    display: block;
    content: '';
    height: 100%;
    background: -webkit-linear-gradient(left, rgba(255, 255, 255, 0) 0, rgba(255, 255, 255, .3) 100%);
    background: linear-gradient(to right, rgba(255, 255, 255, 0) 0, rgba(255, 255, 255, .3) 100%);
    -webkit-transform: skewX(-25deg);
    transform: skewX(-25deg);
}

.technologyShine figure img {
    border-bottom: 6px solid #92c5d9;
    margin: 0 auto;
}

.technologyShine figure:hover img {
    transition: all .3s linear;
    border-bottom: 6px solid #8cc63f;
}

.technologyShine figure:hover span {
    top: -50px;
    background: rgba(255, 255, 255, .5);
    color: #8cc63f;
}

.img-fluid,
.img-thumbnail {
    max-width: 100%;
    height: auto;
}

.technologyShine figure span {
    top: 0;
    display: inline-block;
    transition: all .3s linear;
    position: relative;
    padding: 10px 0;
    width: 100%;
    background: rgba(255, 255, 255, .7);
    color: #333;
}

.cardBox {
    text-align: center;
}

/*navbar*/

.logo {
    width:10%;
    height:10%;
    background-color: transparent;
}

.navbar {
    padding-top: 0;
    padding-bottom: 0;
    padding-left: 0 !important;
}

.navbar-toggler:focus,
.navbar-toggler:active,
.navbar-toggler-icon:focus {
    outline: none;
    box-shadow: none;
}

.nav-link {
    list-style: none;
    text-decoration: none;
    height: 100%;
}

.nav-link:hover{
    color: #000 !important;
}

.nav-item{
    padding: 0 .5rem;
}

/* 
.nav-item:hover {
    /* border-radius: 3.125rem;
    transition-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
    background: -moz-linear-gradient(45deg, #05abe0 0%, #8200f4 100%);
    background: -webkit-linear-gradient(45deg, #05abe0 0%, #8200f4 100%);
    background: linear-gradient(45deg, #05abe0 0%, #8200f4 100%);
} */

/*back-to-top-button*/

#btn-back-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    display: none;
    border-radius: 50%;
    background-color: #f50057;
    color: #fff;
}


/*Slider*/
.carousel-item > img {
    height: 600px;
    width: 100%;
}

/*column altındaki h2 ler*/
h2 {
    font-size: 1.5rem;
    padding: 0 0 0 .9rem;
    font-weight: 900;
    float: left;
    display: block;
    border-left: .4rem solid #d93131;
    width: 100%;
}

/*form*/

.form-control {
    background-color: grey;
    padding: 0.4rem 12px ;
}

input:focus::placeholder,textarea:focus::placeholder {
    color: #000;
}

.form-control::placeholder{
    color: white;
}

*:focus {
    box-shadow: none !important;
    color: #000;
}

.cardText{
    text-align: justify !important;
}

hr {
    border : 1px solid #f50057
}

/*card*/
/* 
.card {
    border: none;
}

.card:hover > h4 {
    color: #f50057;
}

.card:hover>button {
    color: #fff;
    background-color: #dc3545;
    ;
} */


/*media queries*/

@media (min-width: 1401px) {

    .telephoneIcon {
        left: 2.5px;
        bottom: 2.35px;
    }
}

@media (max-width: 1400px) {
    .animationHeader {
        display: none;
    }

    .telephoneIcon {
        left: 2.5px;
        bottom: 2.35px;
    }
}


@media (max-width: 1200px) {
    html {
        font-size: 15px;
    }

    .telephoneIcon {
        left: 2.2px;
        bottom: 2.8px;
    }
}

@media (max-width: 992px) {
    html {
        font-size: 14px;
    }

    .telephoneIcon {
        left: 2.2px;
        bottom: 1.4px;
    }
}

@media (max-width: 767px) {
    html {
        font-size: 13px;
    }

    .telephoneIcon {
        left: 1.8px;
        bottom: 1.4px;
    }
}

@media (max-width: 576px) {
    html {
        font-size: 12px;
    }

    .telephoneIcon {
        left: .18rem;
        bottom: .12rem;
    }
}

@media (max-width: 400px) {
    html {
        font-size: 11px;
    }

    .telephoneIcon {
        left: .18rem;
        bottom: .12rem;
    }
}


/*Tamamlanan Projeler*/

.flip-box {
    display: flex;
    align-content: stretch;
    min-height: 200px;
    flex-wrap: wrap;
    color: #fff !important;
    position: relative;
    border: 10px solid transparent;
    padding: 0;
    border-top: 0;
    -webkit-perspective: 1000;
    perspective: 1000;
}

.flip-box:hover .back {
    transform: rotateY(0deg);
    z-index: 10;
}

.flip-box:hover .front {
    transform: rotateY(180deg);
    z-index: -1;
}

.flip-box .back,
.flip-box .front {
    position: relative;
    color: white !important;
    display: flex;
    justify-content: center;
    align-content: center;
    flex: 0 0 100%;
    -webkit-transition: all 1s cubic-bezier(0.5, 1, 0.5, 1);
    transition: all 1s cubic-bezier(0.5, 1.3, 0.5, 1.3);
    transform-style: preserve-3d;
    background-size: cover;
    background-position: center;
}

.flip-box .back {
    background-color: #242625;
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 100%;
    z-index: -1;
    transform: rotateY(-180deg);
}

.flip-box .back:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 30px;
    height: 30px;
    border: 15px solid transparent;
    border-bottom-color: white;
    border-left-color: white;
}

.flip-box .front {
    z-index: 10;
}

.flip-box .front .content {
    font-size: 2rem;
}

.flip-box .front:after {
    content: "";
    position: absolute;
    bottom: 0;
    right: 0;
    width: 30px;
    height: 30px;
    border: 15px solid #242625;
    border-bottom-color: white;
    border-right-color: white;
}

.flip-box .content {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    -webkit-transform: translateZ(50px);
    transform: translateZ(50px);
    text-shadow: 1px 1px 2px black;
    color: white !important;
}

.contact-title {
    color: #000;
    font-size: 16px;
    margin-bottom: 15px;
    margin-top: 15px;
}

.container-default p {
    line-height: 25px;
}

.container-default p,
.container-default ul li {
    color: #868686;
    font-size: 14px;
    font-family: FiraSans-Light;
}

.bottom-info-gray-bg {
    background: #f8f7f7;
    transition: all .3s ease;
}

.container-default__bottom {
    padding: 35px 0;
    display: block;
    height: 85px;
    color: #333;
    font-size: 1rem;
    transition: all .3s ease;
}

.animationHeader > a{
    font-family: 'Anonymous Pro',monospace;  
    color: darkred;
}

.animationHeader>a:hover {
    color: darkred;
}

.pageTitle h1 {
    text-align: center;
    font-size: 30px;
    font-weight: 300;
    color: #222;
    letter-spacing: 1px;
    text-transform: uppercase;

    display: grid;
    grid-template-columns: 1fr max-content 1fr;
    grid-template-rows: 27px 0;
    grid-gap: 20px;
    align-items: center;
}

.pageTitle h1:after,
.pageTitle h1:before {
    content: " ";
    display: block;
    border-bottom: 1px solid #c50000;
    border-top: 1px solid #c50000;
    height: 5px;
    background-color: #f8f8f8;
}

/*Product*/

.productImage {
    max-width: 100%;
    filter: drop-shadow(1px 1px 3px #a6a6a6);
}

/* ----- Product Section ----- */
.product {
    display: grid;
    grid-template-columns: 0.9fr 1fr;
    margin: auto;
    padding: 2.5em 0;
    max-width: 500px;
    background-color: white;
    border-radius: 5px;
}

/* ----- Photo Section ----- */
.product__photo {
    position: relative;
}

.photo-container {
    position: absolute;
    left: -2.5rem;
    display: grid;
    grid-template-rows: 1fr;
    width: 100%;
    height: 100%;
    border-radius: 6px;
    box-shadow: 4px 4px 25px -2px rgba(0, 0, 0, 0.3);
}

.photo-main {
    border-radius: 6px 6px 0 0;
    background-color: #9be010;
    background: radial-gradient(#e5f89e, #96e001);
}

.photo-main .controls {
    display: flex;
    justify-content: space-between;
    padding: 0.8em;
    color: #fff;
}

.photo-main .controls i {
    cursor: pointer;
}

.photo-main img {
    position: absolute;
    left: -3.5em;
    top: 10em;
    max-width: 110%;
    filter: saturate(150%) contrast(120%) hue-rotate(10deg) drop-shadow(1px 20px 10px rgba(0, 0, 0, 0.3));
}

.photo-album {
    padding: 0.7em 1em;
    border-radius: 0 0 6px 6px;
    background-color: #fff;
}

.photo-album ul {
    display: flex;
    justify-content: space-around;
}

.photo-album li {
    float: left;
    width: 55px;
    height: 55px;
    padding: 7px;
    border: 1px solid #a6a6a6;
    border-radius: 3px;
}

/* ----- Informations Section ----- */
.product__info {
    padding: 0.8em 0;
}

.title h1 {
    margin-bottom: 0.1em;
    color: #4c4c4c;
    font-size: 1.5em;
    font-weight: 900;
}

.title span {
    font-size: 0.7em;
    color: #a6a6a6;
}

.price {
    margin: 1.5em 0;
    color: #ff3f40;
    font-size: 1.2em;
}

.price span {
    padding-left: 0.15em;
    font-size: 1.5em !important;
}

.variant {
    overflow: auto;
}

.variant h3 {
    margin-bottom: 1.1em;
}

.variant li {
    float: left;
    width: 35px;
    height: 35px;
    padding: 3px;
    border: 1px solid transparent;
    border-radius: 3px;
    cursor: pointer;
}

.variant li:first-child,
.variant li:hover {
    border: 1px solid #a6a6a6;
}

.variant li:not(:first-child) {
    margin-left: 0.1em;
}

.description {
    clear: left;
    margin: 2em 0;
}

.description h3 {
    margin-bottom: 1em;
}

.description ul {
    font-size: 0.8em;
    list-style: disc;
    margin-left: 1em;
}

.description li {
    text-indent: -0.6em;
    margin-bottom: 0.5em;
}

.buy--btn {
    padding: 1.5em 3.1em;
    border: none;
    border-radius: 7px;
    font-size: 0.8em;
    font-weight: 700;
    letter-spacing: 1.3px;
    color: #fff;
    background-color: #ff3f40;
    box-shadow: 2px 2px 25px -7px #4c4c4c;
    cursor: pointer;
}

.buy--btn:active {
    transform: scale(0.97);
}

.product-price--disable {
    color: #868686;
    text-decoration: line-through;
    float: left;
    margin-top: .5em;
    margin-right: .5em;
    font-size: 1em !important;
}

@media (max-width: 576px) {
    .photo-container {
        margin-right: 20%;
        margin-left: 20%;
    }
    .product__info {
        margin-left: 20%;
    }
}

@media (max-width: 400px) {
    .photo-container {
        margin-right: 20%;
        margin-left: 20%;
    }
    .product__info {
        margin-left: 20%;
    }
}

/*Arel iklimlendirme*/

.textGradient > .wrap {
    font-size: 20px !important;
    margin-left: 20px;
}

/*Product pagination*/
